#include <Adafruit_NeoPixel.h>

#define PIN 6                //<-- the pin of the data line of the LED's 

Adafruit_NeoPixel strip = Adafruit_NeoPixel(300, PIN, NEO_GRB + NEO_KHZ800);
int pixels = 300;
int red = 200;
int green = 200;
int blue = 200;

void setup() {
  Serial.begin(9600);
  strip.begin();
  strip.show(); 
  Serial.println ("RGB LED calibration");
  Serial.println ("To change a color, send it with your serial monitor.");
  Serial.println ("For example, R181 changes the intensity of red to 181 (values between 0 - 255)");  
}

void loop() {
  for (int i = 0; i <= pixels; i++){
    strip.setPixelColor(i,strip.Color(red, green, blue));  
  }
  strip.show();
  Serial.println ("The current color is:");
  Serial.println ("Red: " + String(red) );
  Serial.println ("Green: " + String(green));
  Serial.println ("Blue: " + String(blue));
  boolean waitForInput = true;
  while (waitForInput) {
    if (Serial.available()){
      waitForInput = false;
    }
  }
  delay(100);
  char c = Serial.read();
  int h = Serial.read() - 48;
  int t = Serial.read() - 48;
  int e = Serial.read()- 48;
  Serial.read();  //Takes the last 2 characters (\r\n) of the input out the buffer
  Serial.read();
  
  if (c == 'R' || c == 'r'){
    red = (h * 100) + (t * 10) + e;
  }
  if (c== 'G' || c == 'g'){
    green = (h * 100) + (t * 10) + e;
  }
  if (c == 'B' || c == 'b'){
    blue = (h * 100) + (t * 10) + e;
  }
}



